﻿@import url("/MC_Theme/Theme.MyClaim_Theme.css?4621");

/*
    How to generate a theme for your company: 
    
        1 - Go to https://silkui.outsystems.com/ThemeCustomizer/GenerateLiverpool.aspx
        2 - Copy the generated CSS
        3 - Replace the CSS for Primary Color Customization below with the Generated CSS

*/


* {
    font-family: Meiryo, sans-serif;
}

.Text_Note {
    color: #888;
    font-size: 15px;
}

.Text_Note12px {
    color: #888;
    font-size: 12px;
}

.ToggleButton {
    border-radius: 5px; /*same border-radius as .Card*/
}

/* limit width **************************/
html .ThemeGrid_Container {
    max-width: 1100px;
}

/***************************************/
/***** PRIMARY COLOR CUSTOMIZATION *****/
/***************************************/


a,
a:link,
a:visited {
    color: #26A65B; /*primary-color*/
}

a.Button{
    /*color: #999;*/
    color: #26A65B; /*primary-color*/
}


.Header {
    background-color: #fff;
    color: #d1d1d1;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 20;
    border: 1px solid #ccc;

     /* avoid adorners overlapping header */
}

a.Header_ButtonMenu {
    color: #898585; 
    display: none;
    font-size: 20px;
}

.Header_Menu,
.Application_Menu {
    background-color: #26A65B; /*primary-color*/
    box-shadow: 0 -2px 0 0 rgba(0, 0, 0, .25) inset;
    white-space: nowrap;
}

.Menu_TopMenuActive,
.Menu_DropDownButton.open .Menu_TopMenu {
    background-color: #26A65B; /*primary-color*/
    -webkit-filter: brightness(80%);
    filter: brightness(0.8);
    
}

.Menu_TopMenu a:hover,
.Menu_TopMenu:hover {
    background-color: #26A65B; /*primary-color*/
    -webkit-filter: brightness(80%);
    filter: brightness(0.8);
    
}


/* Menu_SubMenuItem */
.Menu_DropDownPanel a.Menu_SubMenuItem,
.Menu_DropDownPanel a.Menu_SubMenuItem:link,
.Menu_DropDownPanel a.Menu_SubMenuItem:visited {
    background-color: #26A65B; /*primary-color*/
}

.Menu_DropDownPanel a.Menu_SubMenuItem:hover,
.Menu_DropDownPanel a.Menu_SubMenuItem.Menu_SubMenuItemActive {
    background-color: #26A65B; /*primary-color*/
    -webkit-filter: brightness(80%);
    filter: brightness(0.8);
    
}

a.Header_ButtonMenu {
    color: #898585;
}

.tablet .Application_Menu a,
.phone .Application_Menu a,
.tablet .Application_Menu a:link,
.phone .Application_Menu a:link,
.phone .Application_Menu a:visited,
.phone .Application_Menu a:visited {
    border-bottom-color: rgba(0,0,0,0.2);
}

/*********Custom CSS*********************/
a,
a:link,
a:visited,
a:hover{
    text-decoration: none !important;
    color: #000 ;
}


div.Feedback_Message_Wrapper{
    margin-top: 0px;
}

.EmptyDataPagesText {
    color: #79868a;
    font-weight: normal;
    font-size: 20px;
}

/*VAlidation */

.Form input.Not_Valid,
.Form textarea.Not_Valid,
.Form select.Not_Valid,
input.Not_Valid,
textarea.Not_Valid,
select.Not_Valid {
    border-radius: 0;
    border-bottom: 1px solid #bf1601;
    border-left: none;
    border-right: none;
    border-top: none;
}

input[type="text"].Not_Valid,
input[type="password"].Not_Valid,
input[type="datetime"].Not_Valid,
input[type="datetime-local"].Not_Valid,
input[type="date"].Not_Valid,
input[type="month"].Not_Valid,
input[type="time"].Not_Valid,
input[type="week"].Not_Valid,
input[type="number"].Not_Valid,
input[type="email"].Not_Valid,
input[type="url"].Not_Valid,
input[type="search"].Not_Valid,
input[type="tel"].Not_Valid,
input[type="color"].Not_Valid {
    /*border: 1px solid #bf1601;*/
    padding: 0 12px;
    border-bottom: 1px solid #bf1601;
    border-left: none;
    border-right: none;
    border-top: none;
}

.select2-container.Not_Valid .select2-choice,
.select2-container.Not_Valid.select2-container-active .select2-choice,
.select2-container.Not_Valid .select2-choices,
.select2-container.Not_Valid.select2-container-active .select2-choices {
    /*border: 1px solid #bf1601;*/
    border-bottom: 1px solid #bf1601;
    border-left: none;
    border-right: none;
    border-top: none;
}

input[type="text"].Not_Valid:focus,
input[type="password"].Not_Valid:focus,
input[type="datetime"].Not_Valid:focus,
input[type="datetime-local"].Not_Valid:focus,
input[type="date"].Not_Valid:focus,
input[type="month"].Not_Valid:focus,
input[type="time"].Not_Valid:focus,
input[type="week"].Not_Valid:focus,
input[type="number"].Not_Valid:focus,
input[type="email"].Not_Valid:focus,
input[type="url"].Not_Valid:focus,
input[type="search"].Not_Valid:focus,
input[type="tel"].Not_Valid:focus,
input[type="color"].Not_Valid:focus {
    /*border: 1px solid #bf1601;*/
    border-bottom: 1px solid #bf1601;
    border-left: none;
    border-right: none;
    border-top: none;
}

.VerticalCard100 .Cell2
{
    width:100%;
}

/* MainContent **************************/

.Form:not(.ReadOnly) {
    cursor: default;
}



a.Button,
div.Button,
a.ButtonDisabled,
div.ButtonDisabled{
    background-color: #26A65B; /*primary-color*/
    border-color: #26A65B; /*primary-color*/
    color: #fff !important;
    border-radius: 15px;
    margin-left: 0px;
    font-weight: bold;
    
}
/*
a.ButtonDisabled,
div.ButtonDisabled{
    background-color: #898585;
}
*/

/* Styles for Disabled Buttons  */
a.ButtonDisabled,
div.ButtonDisabled{
    background-color: #ccc;
    border: 0;
    box-shadow: none;
    color: #fff !important;
    pointer-events: none;
}

a.Button,
a.ButtonDisabled{
    width: 90%;
}

a.LightRoundedCorners{
    border-radius: 3px;
}

.desktop a.Button:hover {
    border-color: transparent;
    box-shadow: none;
}


.PageBottom{
    position: absolute;
    bottom: 5%;
    right: 5%;
}


.MainContent {
    background: rgb(250, 250, 251);
    margin-top: 0px;
    min-height: 100%;
    padding-bottom: 80px;

     /* push the footer down on preview */
}

.Content {
    background: rgb(250, 250, 251);
    margin-bottom: -50px;
    min-height: 100%;
    padding-top: 75px;
}

.FontColor,
.IconColor{
    color:#26A65B;
}

.ColorBlack{
    color:#000;
}


.DetailMenuTop_Item {
    color: #79868a;
    font-weight: normal;
    padding-top: 15px;
  /*  padding-bottom: 15px;*/
    font-size: 14px;
    padding-left: 10px;
    padding-right: 10px;
    cursor: pointer;
}

.DetailMenuTop_ItemSelected{
    /*font-weight: bold;*/
    border-bottom: 3px solid #26A65B; /*primary-color*/
    padding-top: 15px;
 /*   padding-bottom: 11px;*/
    font-size: 14px;
    padding-left: 10px;
    padding-right: 10px;
}

.DetailMenuTop_Item:hover {
    /*font-weight: bold;*/
    border-bottom: 3px solid #d1d1d1; /*primary-color*/
    padding-top: 15px;
 /*   padding-bottom: 11px;*/
    font-size: 14px;
    padding-left: 10px;
    padding-right: 10px;
}

.Scroll {
  white-space: nowrap; /* [1] */
  overflow-x: auto; /* [2] */
  -webkit-overflow-scrolling: touch; /* [3] */
  -ms-overflow-style: -ms-autohiding-scrollbar; /* [4] */ 
  border-bottom: 1px solid #ccc;
  margin-bottom: 20px;
}

/* [5] */
.Scroll::-webkit-scrollbar {
  display: none; }


.Card{
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 2px 4px 0px rgba(166,165,165, 0.24);
}

.CardHover:hover{
    box-shadow: 0 6px 13px 0px #a7a7a7;
    transition: 0.2s;
}

.BorderBottomGrey{
    border-bottom: 1px solid #ccc;
}

.BorderBottomColorApp{
    border-bottom: 1px solid #26A65B; /*primary-color*/ !important;
}


.RedColor{
    color: red;
}

.GreenColor{
    color:#26A65B; /*primary-color*/
}

.YellowColor{
    color:yellow;
}

.MarginLeft10{
    margin-left: 10px;
}

.PaddingTopBottom10{
    padding: 10px 0 10px 0;
}

.PaddingTop5{
    padding-top:5px;
}

.TitleCardsGrey,
.TitleCards {
    font-size: 18px;
    font-weight: 500;
}

.TitleCardsGrey{
    color: #888 !important;
}


.UserInitials{
    background-color: #ccc;   
}

.UserInitials span{
    color: #26A65B; /*primary-color*/
}

.BackgroundWhite{
    background-color: #FFF;
}


.PasswordContainer{
    position: relative;
}

.PasswordInsideIcon{
    position: absolute;
    margin-top: 5px;
    right: 0;
}

.Borders{
    border: 1px solid #ccc;
}

/*.CardsShadow{
    --not in use-- border-radius: 8px;
    box-shadow: 0 0 5px 0 #ccc
}*/


.TableVerticalAlign {
    display: table;
}

.TableVerticalAlign .Cell1, .TableVerticalAlign .Cell2 {
    display: table-cell;
    vertical-align: middle
}

.VerticalCardBoth50 .Cell1,
.VerticalCardBoth50 .Cell2
{
    width:50%;
}

.VerticalCardBoth50 .TableVerticalAlign
{
    width:100%;   
}

.AttachmentDiv{
    width: 45%;
    border: 1px solid #ccc;
    border-radius: 5px;
}

/****************************************************/

span.ListNavigation_CurrentPageNumber{
    color:#FFF;
}

.EditableTable tr.RowControlGroup a.SaveRowAction,
.EditableTable tr.RowControlGroup a.CancelRowAction{
    color: #26A65B; /*primary-color*/
}

.Button.ButtonDefault,
.Button.Is_Default {
    background-color: #26A65B; /*primary-color*/
    border-color: #26A65B; /*primary-color*/
    color: #fff;
    text-shadow: none;
}

.desktop .Button.ButtonDefault:hover,
.desktop .Button.Is_Default:hover,
.Button.Button.Is_Default:hover {
    background-color: #26A65B; /*primary-color*/
    border-color: #26A65B; /*primary-color*/
    -webkit-filter: brightness(0.9);
    filter: brightness(0.9);
    
}

.Button.Cancel {
    background-color: #fff;
}

.desktop .Button.Cancel:hover {
    background-color: #fff;
    -webkit-filter: brightness(0.9);
    filter: brightness(0.9);
       
}

.desktop .Button:hover,
.desktop a.Button:hover {
    /*background-color: #cfcfcf;*/
    background-color: #188c1c;
    -webkit-filter: brightness(0.9);
    filter: brightness(0.9);
    
}

.Button.Link {
    color: #26A65B; /*primary-color*/
}

.desktop .Button.Link:hover {
    background-color: #fff;
    border-color: #26A65B; /*primary-color*/
    color: #26A65B; /*primary-color*/
}

.Button.Danger{
    background-color: #e09d90;
    border-color: #df3a01;
    color: #fff;
}

a.ActionAdd,
a.ActionEdit,
a.ActionChange,
a.ActionDelete {
    background-color: #26A65B; /*primary-color*/
    border-color: #26A65B; /*primary-color*/
    color: #fff;
}

a.ActionAdd:hover,
a.ActionEdit:hover,
a.ActionChange:hover,
a.ActionDelete:hover {
    background-color: #26A65B; /*primary-color*/
    border-color: #26A65B; /*primary-color*/
    -webkit-filter: brightness(0.9);
    filter: brightness(0.9);
    
}


a.ActionAdd:before, 
a.ActionEdit:before, 
a.ActionDelete:before, 
a.ActionChange:before, 
.Actions [class^=fa]{
    background: #26A65B; /*primary-color*/
}

.DropdownMenu .PH > a {
    color: #26A65B; /*primary-color*/
}

/*
.DropdownMenu .PH > a:hover {
    background-color: #efefef;
    color: #26A65B;
    text-decoration: none;
}
*/
.DropdownMenu .PH > a:hover {
    background-color: #26A65B;
    color: #fff !important;
    text-decoration: none;
}


.Footer {
    background: transparent;
    color: #999;
    font-size: 12px;
    min-height: 50px;
    padding: 10px 0;
    position: absolute;
    text-align: center;
    width: 100%;
}



.phone .Login_Info_Logout:before,
.tablet .Login_Info_Logout:before {
    color: #26A65B; /*primary-color*/
}

.IconBadge_number {
    background-color: #26A65B; /*primary-color*/
}

.NavigationBar a.Active:after {
    background-color: #26A65B; /*primary-color*/
}

.NavigationBar a.Active:not(.ie7):before,
.NavigationBar a.Active:not(.ie8):before {
    border-bottom-color: #26A65B; /*primary-color*/
}

.phone .NavigationBar .InlineDropdown:active:after,
.phone .NavigationBar .InlineDropdown:link:active:after,
.tablet .NavigationBar .InlineDropdown:active:after,
.tablet .NavigationBar .InlineDropdown:link:active:after,
.phone .NavigationBar a:active:after,
.phone .NavigationBar a:link:active:after,
.tablet .NavigationBar a:active:after,
.tablet .NavigationBar a:link:active:after {
    background-color: #26A65B; /*primary-color*/
}


/* Responsive Context **************************/

.desktop .NavigationBar a:hover:after,
.desktop .NavigationBar a:link:hover:after {
    background-color: #26A65B; /*primary-color*/
}


.phone .NavigationBar a:active:after,
.phone .NavigationBar a:link:active:after,
.tablet .NavigationBar a:active:after,
.tablet .NavigationBar a:link:active:after {
    background-color: #26A65B; /*primary-color*/
}


/* NavigationBar: Vertical **************************/

.NavigationBar.Vertical a.Active,
.NavigationBar.Vertical a:link.Active {
    border-color: #26A65B; /*primary-color*/
}

.NavigationBar.Vertical a.Active:not(.ie7):before,
.NavigationBar.Vertical a.Active:not(.ie8):before {
    border-left-color: #26A65B; /*primary-color*/
}

/* Responsive Context **************************/
.desktop .NavigationBar.Vertical a:hover,
.desktop .NavigationBar.Vertical a:link:hover {
    border-color: #26A65B; /*primary-color*/
}


.SectionIndex a.active, 
.SectionIndex a:hover{
    border-bottom-color: #26A65B; /*primary-color*/
    color: #26A65B; /*primary-color*/
}

.SectionIndex.vertical a.active, 
.SectionIndex.vertical  a:hover{
    border-left-color: #26A65B; /*primary-color*/
}

.Tabs__tab.active {
    border-top: 1px solid #ccc;
}

/* Calendar **************************/
.pika-prev:after,
.pika-next:after {
    color: #26A65B; /*primary-color*/ 
}

.pika-title {
    border-bottom: 2px solid #26A65B; /*primary-color*/
}

.is-selected .pika-button {
   background-color: #26A65B; /*primary-color*/
}

.has-event .pika-button:after {
   background-color: #26A65B; /*primary-color*/ 
}

/* Calendar DEPRECATED **************************/
.Calendar-dayNames {
    border-top-color: #26A65B; /*primary-color*/
}

.Calendar-navBtn > div {
    color: #26A65B; /*primary-color*/
}

.Calendar-day-selected,
.Calendar-day-selected:hover {
    background: #26A65B; /*primary-color*/
}

.Calendar-time-down, 
.Calendar-time-up, 
.Calendar-time-am {
    color: #26A65B; /*primary-color*/
}


/* OS PopUps **************************/

div.os-internal-Popup .os-internal-ui-dialog .os-internal-ui-dialog-titlebar,
div.os-internal-Popup.os-internal-ui-dialog .os-internal-ui-dialog-titlebar {
    background: #26A65B; /*primary-color*/
}

/* Wizard **************************/

.WizardStep:before {
    border-bottom-color: #c2c2c2;
    border-top-color: #c2c2c2;
}

.WizardStep.ActiveStep {
    background: #26A65B; /*primary-color*/
}

.WizardStep.ActiveStep:before {
    border-bottom-color: #26A65B; /*primary-color*/
    border-top-color: #26A65B; /*primary-color*/
}

.WizardStep.Past {
    background-color: #26A65B; /*primary-color*/
}

.WizardStep.Past:before {
    border-color: #26A65B; /*primary-color*/
}

.WizardStep.Past:after,
.WizardStep.ActiveStep:after {
    border-right-color: #efefef;
    border-top-color: #efefef;
}

/*Tablet */
.desktop .Content.ThemeGrid_Wrapper {
    min-width: 768px;
}

.IconBack{
    display: inline;
    font-size: 20px;
}

/* 404 Error CSS **************************/

.page-body {
      background-color: #f5f5f5;
      font-family: Arial, sans-serif;
      margin: 0;
      padding: 0;
    }
    
.page-container {
      display: flex;
      flex-direction: column;
      align-items: center;
      height: 100vh;
      text-align: center;
      padding: 20px;
    }
    
.page-header {
      font-size: 48px;
      color: #333;
      margin-bottom: 10px;
    }
    
.page-paragraph {
      font-size: 18px;
      color: #777;
      margin-bottom: 20px;
    }

.text-ellipsis {
     text-overflow: ellipsis;
     white-space: nowrap;
     display: block;
     overflow: hidden;
    }

/* CSS FOR Align Center of OutSystemUIWeb */
.center-align {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
       -ms-flex-align: center;
          align-items: center;
    height: 100%;
    width: 100%;
}

.center-align.flex-direction-column {
    -webkit-box-pack: center;
       -ms-flex-pack: center;
     justify-content: center;
}

.flex-direction-row {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
       -ms-flex-direction: row;
           flex-direction: row;
}